Bug 214914 - Problem including /etc/cacti/db.php when 'short_open_tag = Off' in php.ini
Summary: Problem including /etc/cacti/db.php when 'short_open_tag = Off' in php.ini
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cacti   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-09 22:46 UTC by Patrick Lynch
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-10 16:09:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Patrick Lynch 2006-11-09 22:46:13 UTC
Description of problem:
The database configuration file for the cacti package does not have the
appropriate PHP tags and therefore is not included correctly from config.php
when the 'short_open_tag = Off' is set in /etc/php.ini.

Version-Release number of selected component (if applicable):
All versions of package I am assuming.  I have latest cactid-0.8.5a-1 installed.

How reproducible:
Install on any FC5 box and look at the /etc/cacti/db.php file.  The top line
should be '<?php' and not '<?'

Steps to Reproduce:
1. yum --enablerepo=extras install cacti
2. grep "<?" /etc/cacti/db.php
3. be stumped as to why php won't include correctly when you have
'short_open_tag = Off' in your /etc/php.ini file.

Actual results:
For this particular package on the web we get an error stating:
ADONewConnection: Unable to load database driver ''

Expected results:
Cacti login page

Additional info:
In the error logs you will see

Comment 1 Patrick Lynch 2006-11-09 22:48:28 UTC
Oh yeah... it's an easy fix, but I just wanted to make sure that you guys were
aware of this.  We try to keep PHP code as strict as possible and short open
tags is off in our environment.  Just need to change the default to be <?php and
it will work if short tags is on or off.

Comment 2 Mike McGrath 2006-11-10 16:09:38 UTC
Updated, should be in the wild soon.


Note You need to log in before you can comment on or make changes to this bug.